Bug 1760589 - Autocompletion is not working for `--context` in `odo push`
Summary: Autocompletion is not working for `--context` in `odo push`
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: odo
Version: 4.2.0
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Charlie Drage
QA Contact: Amit
Yana Hontyk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-10 21:27 UTC by Yana Hontyk
Modified: 2019-12-02 07:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-02 07:59:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift odo issues 1718 0 'None' 'closed' 'Autocompletion is not working for `--context` in `odo push`' 2019-11-28 19:54:36 UTC

Description Yana Hontyk 2019-10-10 21:27:20 UTC
Description of problem:
Autocompletion is not working for `--context` in `odo push`

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. odo push --con TAB 

Actual results:

$ odo push --con ✗  the current directory does not represent an odo component.
Maybe use 'odo create' to create component here or switch to directory with a component

Expected results:

auto completion should work for all flags for odo push command.

Additional info:

Comment 1 Amit 2019-11-19 07:09:46 UTC
Fixed via - https://github.com/openshift/odo/pull/2326


Note You need to log in before you can comment on or make changes to this bug.